Syck is dead. 1.9 should make Psych/libyaml default. The fact that
Syck has dragged on this long has caused the Ruby world to be filled
with incompatible, unparsable (except by Syck) YAML. Let's not prolong
the torture any longer.

On Mon, Mar 7, 2011 at 7:28 PM, Kurt Stephens <ks / kurtstephens.com> wrote:
> This is obviously dead and gone: http://whytheluckystiff.net/syck/
>
> But, I found this:
>
> http://pyyaml.org/download/pysyck/syck-0.61+svn231+patches.tar.gz
>
> here:
>
> http://pyyaml.org/wiki/PySyck
>
> Should we consider taking it into MRI?
>
> -- KAS
>
> On 3/7/11 3:24 PM, Kurt Stephens wrote:
>>
>> I found bug in 1.8 ext/syck. The problem is in gram.c and/or token.c.
>>
>> gram.c is generated from bison and token.c is generated from re2c. Any
>> ideas where the gram.y and token.re files are?
>>
>> BTW: ext/syck fails to compile when ASSERT() is enabled; one of the
>> issues is caught when ASSERT() is enable. Seems strange to not have
>> assertions enabled by default.
>>
>> I should have a patch shortly.
>>
>> Thanks,
>> Kurt
>>
>
>
>